using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microdesk.SkillPortal.DomainModel;

namespace Microdesk.SkillPortal.DomainPersistence
{

    public interface ISkillTypeRepository
    {
        IList<SkillType> GetAllSkills();
        SkillType GetSkillType(Guid Id);
        void SaveOrUpdateSkill(SkillType skillType);
    }

    public class SkillTypeRepository : Rhino.Commons.NHRepository<SkillType>, ISkillTypeRepository
    {
 
        public IList<SkillType> GetAllSkills()
        {
            return base.FindAll().ToList<SkillType>();
        }

        public SkillType GetSkillType(Guid Id)
        {
            return base.Load(Id);
        }

        public void SaveOrUpdateSkill(SkillType skillType  )
        {
            base.SaveOrUpdate(skillType);
        }
    }
}
