using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using Microdesk.SkillPortal.DomainModel;
using Microdesk.SkillPortal.DomainPersistence;
using Castle.Windsor;
using Rhino.Commons;

namespace PersitenceTests
{
    public class RepositoryPersistenceTestBase : Microdesk.Utility.UnitTest.DatabaseUnitTestBase
    {
        [SetUp]
        public void _Setup()
        {
            base.DatabaseSetUp();
        }

        [TearDown]
        public void _TearDown()
        {
            base.DatabaseTearDown();
        }

        [TestFixtureSetUp]
        public void _TestFixtureSetup()
        {
            WindsorContainer container = new WindsorContainer();
            container.AddComponent<IUnitOfWorkFactory, NHibernateUnitOfWorkFactory>();
            IoC.Initialize(container);

            base.DatabaseFixtureSetUp();
        }

        [TestFixtureTearDown]
        public void _TestFixtureTearDown()
        {
            base.DatabaseFixtureTearDown();
        }
    }
}
